﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WPFTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void XamDataGrid1_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {
            List<string> colsToHide = new List<string> { "Id" };

            if (e.FieldLayout != null)
            {
                if (!e.FieldLayout.IsDefault)
                    e.FieldLayout.Settings.LabelLocation = LabelLocation.Hidden;

                foreach (var field in e.FieldLayout.Fields)
                { 
                   //field.Width = FieldLength.Auto;

                    if (colsToHide.Contains(field.Name))
                    {
                        field.Visibility = Visibility.Collapsed;                          
                    }
                    field.Settings.AllowEdit = false;
                }
            }
        }

        private void XamDataGrid1_RecordExpanding(object sender, Infragistics.Windows.DataPresenter.Events.RecordExpandingEventArgs e)
        {
           
        }
    }
}
